Subject: Re: [PATCH net-next 0/3] mpls: multipath support

From: roopa <[email-masked]>
Date: Wed, 12 Aug 2015 19:07:18 -0700

On 8/12/15, 10:30 AM, Robert Shearman wrote:
> On 11/08/15 22:45, Roopa Prabhu wrote:
>> From: Roopa Prabhu <[email-masked]>
>>
>> This patch series adds multipath support to mpls routes.
>>
>> resembles ipv4 multipath support. The multipath route nexthop
>> selection algorithm is the same code as in ipv4 fib code.
>>
>> I understand that the multipath algorithm in ipv4 is undergoing
>> some changes and will move mpls to similar algo if applicable once
>> those get merged.
>
> Is it necessary for the mpls patch selection algorithm to closely 
> resemble the ipv4 one? 
No, It is not necessary. I picked that because it was already there. And 
I see that ipv4 is also getting some new multipath algorithms
(https://marc.info/?l=linux-api&m=143457208315573&w=2). I wanted to move 
to the new RT_MP infra if that becomes applicable in the future.

> A flow based algorithm would be much better for traffic that is 
> sensitive to re-ordering (e.g TCP, L2VPN) and IMHO we should do this 
> from the start for MPLS.
>
> I've also been looking at implementing this functionality. I've got a 
> set of patches for this that I can send if you'd like.

Definitely. But, It seems like you can also submit incremental patches 
to mine. You can replace the current algo with a hash based with your 
patches.
If that does not work for you and if you want me to merge with this 
series that works too.

Thanks!,
Roopa